package cxfdemo.ws10.test;

import cxfdemo.ws10.PingService;
import junit.framework.TestCase;
import org.apache.cxf.frontend.ClientProxyFactoryBean;

/**
 * Test the Ping service
 *
 * @author <a href="mailto:joachim@progs.be">Joachim Van der Auwera</a>
 */
public class PingTest
    extends TestCase
{
    public void testPingService()
        throws Exception
    {
        ClientProxyFactoryBean factory = new ClientProxyFactoryBean();
        factory.setServiceClass( PingService.class );
        factory.setAddress( "http://localhost:8080/cxfdemo/ws/1.0/ping" );
        PingService client = (PingService) factory.create();
        String res = client.getPing();
        assertTrue( res.startsWith( "Ping back @" ) );
    }
}

