package cxfdemo.ws10.impl;

import cxfdemo.ws10.PingService;

import java.sql.Date;

/**
 * Simple ping service to enable users to verify communication with the services.
 *
 * @author <a href="mailto:joachim@progs.be">Joachim Van der Auwera</a>
 */
public class PingServiceImpl
    implements PingService
{
    /**
     * Simple service to verify communication
     *
     * @return ping message
     */
    public String getPing()
    {
        return "Ping back @" + new Date( System.currentTimeMillis() );
    }
}
